@import url("https://fonts.googleapis.com/css2?family=Courier+Prime:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Serif+Malayalam:wght@100..900&display=swap");

body {
    font-family: "Courier Prime", "Noto Serif Malayalam", monospace, serif;
}

#authentication {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 20vw;
    max-width: 50%;
    margin-inline: auto;
    height: 655px;
}

#login,
#register {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

main {
    margin-inline: auto;
    max-width: 90vw;
}
h1 {
    text-align: center;
}

table {
    width: 75%;
    margin-inline: auto;
}
tr {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    border-bottom: 1px #252525 dashed;
    cursor: pointer;
}

h2 {
    text-align: center;
    text-transform: uppercase;
}

#warning {
    text-align: center;
    color: #ff0000;
}
.script {
    max-width: 75vw;
    margin-inline: auto;
    font-weight: 400;
    /* font-family: "Courier New", Courier, monospace; */
}

.inputSection {
    margin: 1rem;
}

select {
    /* font-family: "Courier New", Courier, monospace; */
    /* font-weight: 600; */
    margin-bottom: 1rem;
}

.grow-wrap {
    /* easy way to plop the elements on top of each other and have them both sized based on the tallest one's height */
    display: grid;
    width: 90%;
}
.grow-wrap::after {
    /* Note the weird space! Needed to prevent jumpy behavior */
    content: attr(data-replicated-value) " ";

    /* This is how textarea text behaves */
    white-space: pre-wrap;

    /* Hidden from view, clicks, and screen readers */
    visibility: hidden;
}
.grow-wrap > textarea {
    /* You could leave this, but after a user resizes, then it ruins the auto sizing */
    resize: none;

    /* Firefox shows scrollbar on growth, you can hide like this. */
    overflow: hidden;
}
.grow-wrap > textarea,
.grow-wrap::after {
    /* Identical styling required!! */
    border: none;
    /* border: 1px solid black; */
    padding: 0.5rem;
    font: inherit;

    /* Place on top of each other */
    grid-area: 1 / 1 / 2 / 2;
}

textarea:focus {
    outline: none;
}

.sceneHeading {
    text-transform: uppercase;
    background-color: #d3d3d3;
}

.character,
.dialogue {
    margin-inline: auto;
}

.character {
    max-width: 25%;
    text-transform: uppercase;
    text-align: center;
}

.dialogue {
    max-width: 75%;
}

.transition {
    text-transform: uppercase;
    text-align: right;
}

#saveButton,
#newButton,
#deleteButton,
#loginButton,
#registerButton {
    margin: 1rem;
    background-color: #add8e6;
    padding: 0.5rem 1rem;
    border-radius: 0.25rem;
    border: 1px solid #97bcc8;
    /* font-family: "Courier New", Courier, monospace; */
    font-weight: 600;
    cursor: pointer;
}

#saveButton:hover,
#newButton:hover,
#deleteButton:hover,
#loginButton:hover,
#registerButton:hover {
    background-color: #97bcc8;
}

.passwordWarning {
    background-color: #71717122;
    color: #ff0000;
    padding: 1rem;
    border-radius: 0.5rem;
    width: 200%;
    align-self: center;
    visibility: hidden;
}

#deleteConfirmBox {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 100000;
    background-color: #d9d9d9;
    color: #ff0000;
    text-align: center;
    padding: 1rem;
    border-radius: 0.5rem;
    transform: translate(-50%, -50%);
    box-shadow: 10px 5px 5px #25252522;
    height: 50vh;
    width: 90vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
}

#confirmYes,
#confirmNo {
    margin: 1rem;
    padding: 0.5rem 1rem;
    border-radius: 0.25rem;
    /* font-family: "Courier New", Courier, monospace; */
    font-weight: 600;
    cursor: pointer;
    font-size: 1rem;
}

#confirmYes {
    background-color: #003c00;
    border: 1px solid #003c00;
    color: #ffffff;
}

#confirmNo {
    background-color: transparent;
    border: 1px solid #ff0000;
}

#inputSuggestion {
    background-color: #d3d3d3;
}
#inputSuggestion p {
    border-bottom: 1px solid #252525;
}

@media print {
    @page {
        size: a4 portrait;
        margin: 0mm;
    }
    #script {
        max-width: 75vw;
        margin: 0.5in 1in;
        /* font-family: "Courier New", Courier, monospace; */
    }

    h2 {
        text-align: center;
        text-transform: uppercase;
    }

    .sceneHeading {
        text-transform: uppercase;
        background-color: #d3d3d3;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }

    .character,
    .dialogue {
        margin-inline: auto;
    }

    .character {
        max-width: 25%;
        text-transform: uppercase;
        text-align: center;
    }

    .dialogue {
        max-width: 75%;
    }

    .transition {
        text-transform: uppercase;
        text-align: right;
    }
}

@media only screen and (max-width: 600px) {
    #authentication {
        width: 50vw;
    }
}
